import request from '@/utils/request'


export function tiffUpload(parameter) {
  return request({
    url: '/file/uploadSpotZip',
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'multipart/form-data;'
    }
  })
}

// 查询监管批次数据列表
export function listPcsj(query) {
  return request({
    url: '/apply/supervise/pcsj/list',
    method: 'get',
    params: query
  })
}

// 查询监管批次数据详细
export function getPcsj(id) {
  return request({
    url: '/apply/supervise/pcsj/' + id,
    method: 'get'
  })
}

// 新增监管批次数据
export function addPcsj(data) {
  return request({
    url: '/apply/supervise/pcsj',
    method: 'post',
    data: data
  })
}

// 修改监管批次数据
export function updatePcsj(data) {
  return request({
    url: '/apply/supervise/pcsj',
    method: 'put',
    data: data
  })
}

// 删除监管批次数据
export function delPcsj(id) {
  return request({
    url: '/apply/supervise/pcsj/' + id,
    method: 'delete'
  })
}

// 查询监管批次数据列表
export function listPcsjXQList(query) {
  return request({
    url: '/apply/supervise/xq/list',
    method: 'get',
    params: query
  })
}
export function getPcsjXQ(id) {
  return request({
    url: '/apply/supervise/xq/' + id,
    method: 'get',

  })
}
export function getYwlxList(query) {
  return request({
    url: '/apply/supervise/ywlx/list',
    method: 'get',
    params: query
  })
}
// 新增模版数据
export function addYwlx(data) {
  return request({
    url: '/apply/supervise/ywlx',
    method: 'post',
    data: data
  })
}
// 删除模版数据
export function delYwlx(id) {
  return request({
    url: '/apply/supervise/ywlx/' + id,
    method: 'delete'
  })
}
//修改模版数据
export function updateYwlx(data) {
  return request({
    url: '/apply/supervise/ywlx',
    method: 'put',
    data: data
  })
}

//模版字段查询列表
export function getYwlxFieldList(query) {
  return request({
    url: '/apply/supervise/ywlx/field/list',
    method: 'get',
    params: query
  })
}

// 模版字段新增
export function addYwlxField(data) {
  return request({
    url: '/apply/supervise/ywlx/field',
    method: 'post',
    data: data
  })
}
// 删除模版数据
export function delYwlxField(id) {
  return request({
    url: '/apply/supervise/ywlx/field/' + id,
    method: 'delete'
  })
}
//模版字段详情查询
export function getYwlxField(id) {
  return request({
    url: '/apply/supervise/ywlx/field/' + id,
    method: 'get'
  })
}
//修改模版数据
export function updateYwlxField(data) {
  return request({
    url: '/apply/supervise/ywlx/field',
    method: 'put',
    data: data
  })
}

//查询图斑列表信息列表map
export function getXqListMap(query) {
  return request({
    url: '/apply/supervise/xq/list.map',
    method: 'get',
    params: query
  })
}
//查询图斑列表信息列表key
export function getXqListKey(query) {
  return request({
    url: '/apply/supervise/xq/list.key',
    method: 'get',
    params: query
  })
}
export function getXqIdMap(query) {
  return request({
    url: '/apply/supervise/xq/id.map',
    method: 'get',
    params: query
  })
}
export function getXqIdKey(query) {
  return request({
    url: '/apply/supervise/xq/id.key',
    method: 'get',
    params: query
  })
}


// 查询部门列表
export function listDept(query) {
  return request({
    url: '/system/dept/deptTree',
    method: 'get',
    params: query
  })
}
